package com.qxgmat.controller.gateway;

import com.nuliji.tools.Response;
import com.nuliji.tools.ResponseHelp;
import com.qxgmat.dto.request.UserRegisterDto;
import com.qxgmat.dto.response.MyDto;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

@RestController
@RequestMapping("/gateway/oauth")
public class OauthController {
    @RequestMapping(value = "/wechat_pc", method = RequestMethod.POST)
    @ApiOperation(value = "微信二维码登录", httpMethod = "POST")
    public Response<MyDto> wechatPc(@RequestBody @Validated UserRegisterDto userRegisterDto, HttpSession session, HttpServletRequest request) {
        return ResponseHelp.success(null);
    }

    @RequestMapping(value = "/callback/wechat_pc", method = RequestMethod.POST)
    @ApiOperation(value = "微信二维码登录回调", httpMethod = "POST")
    public Response callbackWechatPc(@RequestBody @Validated UserRegisterDto userRegisterDto, HttpSession session, HttpServletRequest request) {

        return ResponseHelp.success(null);
    }
}
