package com.qxgmat.dto.request;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * Created by GaoJie on 2017/11/3.
 */
public class UserValidInviteCodeDto {
    /**
     * 邀请人手机/邀请码
     */
    @NotBlank(message = "邀请码不能为空！")
    @ApiModelProperty(value = "邀请人手机/邀请码", required = true)
    private String inviteCode;

    public String getInviteCode() {
        return inviteCode;
    }

    public void setInviteCode(String inviteCode) {
        this.inviteCode = inviteCode;
    }
}
