import React from 'react';
import './index.less';

function Button(props) {
  const { children, theme = 'theme', size = 'basic', disabled, radius, width } = props;
  return (
    <div
      style={{ width: width || '' }}
      className={`button ${theme} ${size} ${disabled ? 'disabled' : ''}  ${radius ? 'radius' : ''}`}
    >
      {children}
    </div>
  );
}
Button.propTypes = {};
export default Button;
