import React from 'react';
import './index.less';
import Module from '../Module';

function Card(props) {
  const { style, children, title } = props;
  return (
    <Module style={style} className="card">
      <div className="header">{title}</div>
      {children}
    </Module>
  );
}
Card.propTypes = {};
export default Card;
