import React from 'react';
import './index.less';
import Module from '../Module';

function Panel(props) {
  const { style, children, title } = props;
  return (
    <Module style={style} className="panel">
      <div className="header">{title}</div>
      {children}
    </Module>
  );
}
Panel.propTypes = {};
export default Panel;
